MODULE Geometrie;
(* Implementierung der Geometriefunktionen
Autor : Horst Lichter, RWTH Aachen
Umgebung : SRC-Modula-3 rel. 3.6, Windows NT 4.0
Erstellt : 16.08.98
Letzte Aenderung: 20.08.98
*)

VAR pi : REAL; (* Interne Variable *)

PROCEDURE PI () : REAL =
(* Die Funktion gibt den Wert der Variable Pi zurck *)
BEGIN
  RETURN pi; 
END PI;

PROCEDURE Kreisflaeche(radius :REAL): REAL =
(* Die kreisflaeche wird berechnet (pi * r^2 *)
BEGIN
  RETURN (pi * radius * radius);
END Kreisflaeche;
 
PROCEDURE Kugelvolumen(radius : REAL): REAL =
(* Berechnung des Kugelvolumens (4/3 * pi * r^3) *)
BEGIN
  RETURN ( (4.0/3.0) * pi * radius * radius * radius );
END Kugelvolumen;

BEGIN (* Initialisierung des Moduls *)
  pi := 3.14147;  
END Geometrie.